Bullet Collision Detection & Physics Library: KKTPreconditioner Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
KKTPreconditioner Class Reference

`#include <btPreconditioner.h>`

Inheritance diagram for KKTPreconditioner:
[legend]
Collaboration diagram for KKTPreconditioner:
[legend]

## Public Member Functions
| KKTPreconditioner (const btAlignedObjectArray< btSoftBody * > &softBodies, const btDeformableContactProjection &projections, const btAlignedObjectArray< btDeformableLagrangianForce * > &lf, const btScalar &dt, const bool &implicit)
virtual void | reinitialize (bool nodeUpdated)
void | buildDiagonalA (TVStack &diagA) const
void | buildDiagonalS (const TVStack &inv_A, TVStack &diagS)
virtual void | operator() (const TVStack &x, TVStack &b)
Public Member Functions inherited from Preconditioner
virtual void | operator() (const TVStack &x, TVStack &b)=0
virtual void | reinitialize (bool nodeUpdated)=0
virtual | ~Preconditioner ()

## Private Attributes
const btAlignedObjectArray< btSoftBody * > & | m_softBodies
const btDeformableContactProjection & | m_projections
const btAlignedObjectArray< btDeformableLagrangianForce * > & | m_lf
TVStack | m_inv_A
TVStack | m_inv_S
const btScalar & | m_dt
const bool & | m_implicit

## Additional Inherited Members
Public Types inherited from Preconditioner
typedef btAlignedObjectArray< btVector3 > | TVStack

## Detailed Description

Definition at line 84 of file btPreconditioner.h.

## Constructor & Destructor Documentation

## ◆ KKTPreconditioner()

KKTPreconditioner::KKTPreconditioner | ( | const btAlignedObjectArray< btSoftBody * > & | softBodies,
|  | const btDeformableContactProjection & | projections,
|  | const btAlignedObjectArray< btDeformableLagrangianForce * > & | lf,
|  | const btScalar & | dt,
|  | const bool & | implicit
| ) |  |
| inline

Definition at line 94 of file btPreconditioner.h.

## Member Function Documentation

## ◆ buildDiagonalA()

void KKTPreconditioner::buildDiagonalA | ( | TVStack & | diagA | ) | const
| inline

Definition at line 133 of file btPreconditioner.h.

## ◆ buildDiagonalS()

void KKTPreconditioner::buildDiagonalS | ( | const TVStack & | inv_A,
|  | TVStack & | diagS
| ) |  |
| inline

Definition at line 158 of file btPreconditioner.h.

## ◆ operator()()

virtual void KKTPreconditioner::operator() | ( | const TVStack & | x,
|  | TVStack & | b
| ) |  |
| inlinevirtual

Implements Preconditioner.

Definition at line 180 of file btPreconditioner.h.

## ◆ reinitialize()

virtual void KKTPreconditioner::reinitialize | ( | bool | nodeUpdated | ) |
| inlinevirtual

Implements Preconditioner.

Definition at line 99 of file btPreconditioner.h.

## Member Data Documentation

## ◆ m_dt

const btScalar& KKTPreconditioner::m_dt
| private

Definition at line 90 of file btPreconditioner.h.

## ◆ m_implicit

const bool& KKTPreconditioner::m_implicit
| private

Definition at line 91 of file btPreconditioner.h.

## ◆ m_inv_A

TVStack KKTPreconditioner::m_inv_A
| private

Definition at line 89 of file btPreconditioner.h.

## ◆ m_inv_S

TVStack KKTPreconditioner::m_inv_S
| private

Definition at line 89 of file btPreconditioner.h.

## ◆ m_lf

const btAlignedObjectArray<btDeformableLagrangianForce*>& KKTPreconditioner::m_lf
| private

Definition at line 88 of file btPreconditioner.h.

## ◆ m_projections

const btDeformableContactProjection& KKTPreconditioner::m_projections
| private

Definition at line 87 of file btPreconditioner.h.

## ◆ m_softBodies

const btAlignedObjectArray<btSoftBody*>& KKTPreconditioner::m_softBodies
| private

Definition at line 86 of file btPreconditioner.h.

The documentation for this class was generated from the following file:

- btPreconditioner.h